Social Fetch
Reddit

List Reddit post comments

Get comments on a Reddit post.

Operation

GET/v1/reddit/posts/comments
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

urlstringrequired(query)

Link to the Reddit post whose comments should be listed.

min 1 chars · max 4096 chars

cursorstring(query)

Opaque cursor from a previous response to fetch another page of comments or replies.

min 1 chars

trimboolean(query)

When true, requests a lighter response shape when available.

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the post was resolved for this request.

one of: found, not_found

datapost
objectrequirednullable

Post details when available on this page.

datapostid
stringrequired

Stable post identifier.

min 1 chars

dataposttitle
stringrequired

Post title.

dataposturl
stringrequired

Canonical public post URL when available.

min 1 chars

datapostpermalink
stringrequirednullable

Relative permalink path when available.

datapostsubreddit
stringrequirednullable

Subreddit name without a leading r/.

datapostsubredditNamePrefixed
stringrequirednullable

Prefixed subreddit name when available.

datapostauthor
stringrequirednullable

Post author username when available.

datapostscore
integerrequirednullable

Post score when available.

≥ 0

datapostupvoteRatio
numberrequirednullable

Upvote ratio when available.

datapostcommentCount
integerrequirednullable

Reported comment count when available.

≥ 0

datapostcreatedAt
stringrequirednullable

ISO-8601 timestamp when the post was created.

datapostcreatedUtc
integerrequirednullable

Unix timestamp in seconds when the post was created.

≥ 0

datapostover18
booleanrequired

Whether the post is marked over-18.

datapostlocked
booleanrequired

Whether the post is locked.

datapoststickied
booleanrequired

Whether the post is stickied.

datapage
objectrequired

Pagination information for this response.

datapagenextCursor
stringrequirednullable

Cursor to pass in the next request when more pages exist.

datapagehasMore
booleanrequired

Whether another page of comments or replies is available.

datacomments
arrayrequired

Comments returned for this page.

datacomments[]id
stringrequired

Stable identifier for the comment.

min 1 chars

datacomments[]url
stringrequirednullable

Public comment URL when available.

datacomments[]permalink
stringrequirednullable

Relative permalink path when available.

datacomments[]parentId
stringrequirednullable

Parent comment or post identifier when available.

datacomments[]author
stringrequirednullable

Comment author username when available.

datacomments[]text
stringrequired

Comment text.

datacomments[]renderedHtml
stringrequirednullable

Rendered HTML for the comment when available.

datacomments[]score
integerrequirednullable

Comment score when available.

datacomments[]upvotes
integerrequirednullable

Upvote count when available.

≥ 0

datacomments[]createdAt
stringrequirednullable

ISO-8601 timestamp when the comment was created.

datacomments[]createdUtc
integerrequirednullable

Unix timestamp in seconds when the comment was created.

≥ 0

datacomments[]depth
integerrequired

Nesting depth of the comment in the thread.

≥ 0

datacomments[]isSubmitter
booleanrequired

Whether the comment author is the post author.

datacomments[]stickied
booleanrequired

Whether the comment is stickied.

datacomments[]locked
booleanrequired

Whether the comment is locked.

datacomments[]distinguished
stringrequirednullable

Distinguished comment label when available.

datacomments[]replies
objectrequired

Nested replies attached to this comment.

datacomments[]repliesitems
arrayrequired

Nested replies for this comment.

datacomments[]repliesitems[]id
stringrequired

Stable identifier for the comment.

min 1 chars

datacomments[]repliesitems[]url
stringrequirednullable

Public comment URL when available.

datacomments[]repliesitems[]permalink
stringrequirednullable

Relative permalink path when available.

datacomments[]repliesitems[]parentId
stringrequirednullable

Parent comment or post identifier when available.

datacomments[]repliesitems[]author
stringrequirednullable

Comment author username when available.

datacomments[]repliesitems[]text
stringrequired

Comment text.

datacomments[]repliesitems[]renderedHtml
stringrequirednullable

Rendered HTML for the comment when available.

datacomments[]repliesitems[]score
integerrequirednullable

Comment score when available.

datacomments[]repliesitems[]upvotes
integerrequirednullable

Upvote count when available.

≥ 0

datacomments[]repliesitems[]createdAt
stringrequirednullable

ISO-8601 timestamp when the comment was created.

datacomments[]repliesitems[]createdUtc
integerrequirednullable

Unix timestamp in seconds when the comment was created.

≥ 0

datacomments[]repliesitems[]depth
integerrequired

Nesting depth of the comment in the thread.

≥ 0

datacomments[]repliesitems[]isSubmitter
booleanrequired

Whether the comment author is the post author.

datacomments[]repliesitems[]stickied
booleanrequired

Whether the comment is stickied.

datacomments[]repliesitems[]locked
booleanrequired

Whether the comment is locked.

datacomments[]repliesitems[]distinguished
stringrequirednullable

Distinguished comment label when available.

datacomments[]repliesitems[]replies
objectrequired

Nested replies attached to this comment.

datacomments[]repliesitems[]repliesitems
arrayrequired

Further nested replies beyond the documented depth.

datacomments[]repliesitems[]repliesitems[]
nullable
datacomments[]repliesitems[]repliespage
objectrequired

Pagination state for nested replies.

datacomments[]repliesitems[]repliespagenextCursor
stringrequirednullable

Cursor to pass in the next request when more pages exist.

datacomments[]repliesitems[]repliespagehasMore
booleanrequired

Whether another page of comments or replies is available.

datacomments[]repliespage
objectrequired

Pagination state for nested replies.

datacomments[]repliespagenextCursor
stringrequirednullable

Cursor to pass in the next request when more pages exist.

datacomments[]repliespagehasMore
booleanrequired

Whether another page of comments or replies is available.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Comment listing result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page